<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">
<beans default-autowire="byName">
    <!-- 销售业务 -->
    <bean name="soSaleOutPluginInitializerToC" class="com.hzya.frame.plugin.lets.plugin.sales.SoSaleOutPluginInitializerToC"/>
    <bean name="soSaleReturnPluginInitializerToC" class="com.hzya.frame.plugin.lets.plugin.sales.SoSaleReturnPluginInitializerToC"/>

    <!--基础档案-->
    <bean name="skuPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.SKUPluginInitializer"/>
    <bean name="goodsAutoAllotPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.GoodsAutoAllotPluginInitializer"/>
    <bean name="skuClassPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.SKUClassPluginInitializer"/>

    <bean name="sKUSealPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.SKUSealPluginInitializer"/>
    <bean name="kitPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.KitPluginInitializer"/>


    <bean name="CustdocAutoAllotPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.CustdocAutoAllotPluginInitializer"/>
    <bean name="ShopPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.ShopPluginInitializer"/>
    <bean name="SupplierPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.base.SupplierPluginInitializer"/>

    <!--调拨-->
<!--    <bean name="transferPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.transfer.TransferPluginInitializer"/>-->
    <bean name="transferOutPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.transfer.TransferOutPluginInitializer"/>
    <bean name="transferInPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.transfer.TransferInPluginInitializer"/>
    <!--调整-->
    <bean name="adjustInPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.adjust.AdjustInPluginInitializer"/>
    <bean name="adjustOutPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.adjust.AdjustOutPluginInitializer"/>
    <bean name="otherOutPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.adjust.OtherOutPluginInitializer"/>
    <bean name="otherInPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.adjust.OtherInPluginInitializer"/>

    <bean name="soSaleOutPluginInitializerToB" class="com.hzya.frame.plugin.lets.plugin.sales.SoSaleOutPluginInitializerToB"/>
    <bean name="soSaleReturnPluginInitializerToB" class="com.hzya.frame.plugin.lets.plugin.sales.SoSaleReturnPluginInitializerToB"/>
    <bean name="proxyPurchaseWarehous" class="com.hzya.frame.plugin.lets.plugin.purchase.ProxyPurchaseWarehousWarehouse"/>

    <bean name="proxyPurchaseReturn" class="com.hzya.frame.plugin.lets.plugin.purchase.ProxyPurchaseReturn"/>

    <bean name="consignmachiningIn" class="com.hzya.frame.plugin.lets.plugin.outsourc.ConsignmachiningIn"/>
<!--    <bean name="consignmachiningInReturn" class="com.hzya.frame.plugin.lets.plugin.outsourc.ConsignmachiningInReturn"/>-->

    <!--组装-->
    <bean name="adjustInZZPluginInitializer" class="com.hzya.frame.plugin.lets.plugin.adjust.AdjustInZZPluginInitializer"/>

    <!--新增采购订单同步-->
    <bean name="proxyPurchaseWarehousOrder" class="com.hzya.frame.plugin.lets.plugin.purchase.ProxyPurchaseWarehousOrder"/>

</beans>
